# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

- Support for new authentication protocol.
- User profile picture functionality.

### Changed

- Updated user interface for the settings page.

### Deprecated

- The `old_auth` method is now deprecated and will be removed in version 2.0.0.

### Removed

- Removed deprecated `legacy_feature` from previous versions.

### Fixed

- Fixed issue where user session timed out prematurely.
- Patched memory leak in data processing module.

### Security

- Strengthened encryption for data at rest.

## [1.0.1] - 2023-06-15

### Fixed

- Corrected a typo in the installation guide.
- Addressed a minor security vulnerability in the login flow.

## [1.0.0] - 2023-06-01

### Added

- Initial release of the software with full documentation.
- Feature A, B, and C as described in the feature documentation.

### Fixed

- Various bug fixes identified during beta testing.

## [0.9.0] - 2023-05-20 [BETA]

### Added

- Beta release for testing purposes.
- Added logging for debugging.

### Known Issues

- Issue with cross-platform compatibility in certain modules.

## [0.1.0] - 2023-04-10 [ALPHA]

### Added

- Alpha release of the project.
- Core functionalities: X, Y, and Z.

[Unreleased]: https://github.com/yourusername/yourproject/compare/v1.0.1...HEAD
[1.0.1]: https://github.com/yourusername/yourproject/compare/v1.0.0...v1.0.1
[1.0.0]: https://github.com/yourusername/yourproject/releases/tag/v1.0.0
